Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Calendars

List Calendar Resources

GET
/v1/calendar-resources

Returns a paginated list of calendar Resources.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

id?string

Unique identifier for the resource.

id[in]?string

Filters by any of the supplied id values.

external_id?string

Identifier assigned by an external system.

external_id[in]?string

Filters by any of the supplied external id values.

limit?integer

Maximum number of resources to return.

Default10
Range0 <= value <= 100
page_token?string

Opaque token returned by a previous page request.

Length1 <= length

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/calendar-resources"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "external_id": "string"    }  ],  "next_page_url": "string",  "previous_page_url": "string"}